Commit e1014df6 authored by Drew's avatar Drew

Deprecate package-framework

Advise users to use the plugin
parent da2ed3f9
......@@ -39,6 +39,8 @@ class PackageFramework: Tool {
#endif
}
func run(task: Task, toolchain: String) {
print("Warning: package-framework is deprecated and will be removed. Use the plugin instead.")
sleep(5)
compiler_crash() //work around a compiler crash
guard let moduleMapType = task[Options.ModuleMapType.rawValue]?.string else {
......
......@@ -511,6 +511,7 @@ final class ATllbuild : Tool {
let swiftCPath: Path
if let c = task[Options.SwiftCPath.rawValue]?.string {
print("Warning: \(Options.SwiftCPath.rawValue) is deprecated and will be removed in a future release of atbuild. Use --toolchain to specify a different toolchain, or --platform when bootstrapping to a different platform.")
sleep(5)
swiftCPath = Path(c)
}
else {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment